export const AxisBottom = ({
  xScale,
  innerWidth,
  innerHeight,
}) => (
  <g>
    {xScale.ticks(6).map((t) => (
      <g
        transform={`translate(${xScale(t)},${innerHeight})`}
      >
        <line
          y2={-innerHeight}
          className="axis-line"
          stroke="#ccc"
        />
        <text
          className="axis-text"
          y={25}
          fill="#333"
          fontFamily="sans-serif"
          textAnchor="middle"
        >
          {t}
        </text>
      </g>
    ))}
  </g>
);
