import { useEffect, useState } from 'react';
import { csv } from 'd3';

const csvUrl =
  'https://gist.githubusercontent.com/waseem-medhat/c5b5583f9423cf5f4fccf089395aa7f0/raw/hep_c.csv';

export const useData = () => {
  const [data, setData] = useState();

  useEffect(() => {
    csv(csvUrl).then(d => setData(d));
  }, []);

  return data;
};
